Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message.body.content
Interface BytesBody

All Superinterfaces:
  Body

    public interface BytesBody

extends Body

The Message payload contains an arbitrary byte array that can be interpreted by the application as basic Java types. The instance must be placed into either a read mode or write mode. You can switch between the two modes per instance, but each time you do it will reset the buffer. When finished, you must flush the instance to the underlying payload implementation.

Field Summary
`static java.lang.String` | `BYTES_LOCATION`

Fields inherited from interface org.jboss.soa.esb.message.Body
`DEFAULT_LOCATION`

Method Summary
`void` | `flush()` Flush the internal byte array through to the payload.
`boolean` | `readBoolean()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`void` | `readMode()` Place the instance into read mode, so that the information within the byte stream can be retrieved.
`short` | `readShort()`
`java.lang.String` | `readUTFString()`
`void` | `reset()` Reset the internal buffer.
`void` | `writeBoolean(boolean b)`
`void` | `writeChar(char c)`
`void` | `writeDouble(double d)`
`void` | `writeFloat(float f)`
`void` | `writeInt(int i)`
`void` | `writeLong(long l)`
`void` | `writeMode()` Plce the instance into write mode, so that information may be placed within the byte stream.
`void` | `writeShort(short s)`
`void` | `writeUTFString(java.lang.String s)`

Methods inherited from interface org.jboss.soa.esb.message.Body
`add, add, get, get, getByteArray, getContents, getNames, merge, remove, replace, setByteArray, setContents`

Field Detail

### BYTES_LOCATION

    static final java.lang.String BYTES_LOCATION

See Also:
  Constant Field Values

Method Detail

### readBoolean

    boolean readBoolean()
                        throws IncompatibleModeException,
                               java.io.IOException,
                               InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readInt

    int readInt()
                throws IncompatibleModeException,
                       java.io.IOException,
                       InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readLong

    long readLong()
                  throws IncompatibleModeException,
                         java.io.IOException,
                         InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readChar

    char readChar()
                  throws IncompatibleModeException,
                         java.io.IOException,
                         InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readDouble

    double readDouble()
                      throws IncompatibleModeException,
                             java.io.IOException,
                             InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readFloat

    float readFloat()
                    throws IncompatibleModeException,
                           java.io.IOException,
                           InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readShort

    short readShort()
                    throws IncompatibleModeException,
                           java.io.IOException,
                           InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### readUTFString

    java.lang.String readUTFString()
                                   throws IncompatibleModeException,
                                          java.io.IOException,
                                          InvalidPayloadException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`
    `InvalidPayloadException`

### writeBoolean

    void writeBoolean(boolean b)
                      throws IncompatibleModeException,
                             java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeInt

    void writeInt(int i)
                  throws IncompatibleModeException,
                         java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeLong

    void writeLong(long l)
                   throws IncompatibleModeException,
                          java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeChar

    void writeChar(char c)
                   throws IncompatibleModeException,
                          java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeDouble

    void writeDouble(double d)
                     throws IncompatibleModeException,
                            java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeFloat

    void writeFloat(float f)
                    throws IncompatibleModeException,
                           java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeShort

    void writeShort(short s)
                    throws IncompatibleModeException,
                           java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### writeUTFString

    void writeUTFString(java.lang.String s)
                        throws IncompatibleModeException,
                               java.io.IOException

  Throws:
    `IncompatibleModeException`
    `java.io.IOException`

### readMode

    void readMode()
                  throws java.io.IOException

  Place the instance into read mode, so that the information within the byte stream can be retrieved.

  Throws:
    `java.io.IOException`

### writeMode

    void writeMode()
                   throws java.io.IOException

  Plce the instance into write mode, so that information may be placed within the byte stream.

  Throws:
    `java.io.IOException`

### reset

    void reset()
               throws java.io.IOException

  Reset the internal buffer. The mode will remain the same.

  Throws:
    `java.io.IOException`

### flush

    void flush()
               throws java.io.IOException

  Flush the internal byte array through to the payload.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD